Get the assets of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/assets

Get the assets of a project. Add a query parameter for each column to filter on. For example, use name=Chair to get the assets with this name. A vendor gets only the assets of their assigned tasks, without the metadata columns hidden from their departments.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Query parameters

  • entity_type_id string(uuid)

    Get only the assets of this asset type

  • episode_id string(uuid)

    Get the assets of this episode and the assets cast in this episode. The project of the episode is used for the access check.

  • assigned_to string

    With any value, get only the assets that have a task assigned to you.

  • page integer

    Page to get, answered as an object with data, total, nb_pages, limit, offset and page. Without page nor limit, the route returns the full list.

  • limit integer

    Number of rows in a page, or in a request of a cursor walk

  • cursor_id string(uuid)

    Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit

Responses

  • 200 application/json

    The list of assets

    Hide response attributes Show response attributes object
    • id string(uuid)

      Asset unique identifier

    • name string

      Asset name

    • project_id string(uuid)

      Project identifier

    • entity_type_id string(uuid)

      Asset type identifier

    • project_name string

      Project name

    • asset_type_name string

      Asset type name

  • 403

    You do not have access to this project

GET /data/projects/{project_id}/assets
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/assets?asset_type_id=a24a6ea4-ce75-4665-a070-57453082c25&page=1&limit=100" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/assets"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "asset_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "page": 1,
    "limit": 100
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Character Name",
    "project_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "entity_type_id": "c46c80c6-e097-6887-c292-79675204e470",
    "project_name": "My Project",
    "asset_type_name": "Character"
  }
]